add_newline = false
scan_timeout = 20
format = "$all"

[aws]
symbol = " "
style = "bold yellow"
format = "on [$symbol$profile(\\($region\\))]($style) "
disabled = true
[aws.region_aliases]
ap-southeast-2 = "au"
us-east-1 = "va"

[battery]
full_symbol = " "
charging_symbol = " "
discharging_symbol = " "
unknown_symbol = " "
empty_symbol = " "
format = "[$symbol$percentage]($style) "
disabled = false
[[battery.display]]
threshold = 10
style = "bold red"
[[battery.display]]
threshold = 20
style = "bold yellow"

[character]
success_symbol = "[❯](bold green)"
error_symbol = "[✗](bold red)"
vicmd_symbol = "[❮](bold green)"
format = "$symbol "
disabled = false

[cmake]
symbol = "喝"
style = "bold blue"
format = "via [$symbol$version]($style) "
disabled = false

[cmd_duration]
min_time = 1000
show_milliseconds = false
show_notifications = false
style = "bold yellow"
format = "took [$duration]($style) "
disabled = false

[conda]
truncation_length = 1
symbol = "🐍 "
style = "bold dimmed green"
format = "[$symbol$environment]($style) "
ignore_base = true
disabled = true

[crystal]
symbol = "🔮 "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = true

[dart]
symbol = "🔰 "
style = "bold blue"
format = "via [$symbol$version]($style) "
disabled = true

[deno]
symbol = "🦕 "
style = "green bold"
format = "via [$symbol($version)]($style)"
disabled = true

[directory]
truncation_length = 5
truncate_to_repo = true
use_logical_path = true
fish_style_pwd_dir_length = 0
home_symbol = "~"
truncation_symbol = ""
read_only = "🔒"
read_only_style = "red"
style = "bold cyan"
format = "[$path]($style)[$read_only]($read_only_style) "
disabled = false

[docker_context]
only_with_files = false
symbol = "🐋 "
style = "blue bold"
format = "via [$symbol$context]($style) "
disabled = false

[dotnet]
heuristic = true
symbol = "•NET "
style = "bold blue"
format = "via [$symbol$version( 🎯 $tfm)]($style) "
disabled = true

[elixir]
symbol = "💧"
style = "bold purple"
format = "via [$symbol$version \\(OTP $otp_version\\)]($style) "
disabled = true

[elm]
symbol = "🌳 "
style = "cyan bold"
format = "via [$symbol$version]($style) "
disabled = true

[env_var]
style = "bold dimmed white"
format = "with [$symbol$env_value]($style) "
disabled = true
[env_var.STARSHIP_SHELL]
default = "sh"
symbol = " "

[erlang]
symbol = " "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = true

[gcloud]
symbol = " "
style = "bold blue"
format = "on [$symbol$account@$domain(\\($region\\)) - ($project)]($style) "
disabled = true
[gcloud.region_aliases]
us-central1 = "uc1"
asia-northeast1 = "an1"

[git_branch]
truncation_symbol = "…"
symbol = " "
style = "bold purple"
format = "on [$symbol$branch]($style) "
disabled = false

[git_commit]
commit_hash_length = 8
only_detached = true
tag_symbol = "🔖 "
style = "bold green"
format = "[\\($hash\\)]($style) [\\($tag\\)]($style)"
tag_disabled = false
disabled = false

[git_state]
rebase = "REBASING"
merge = "MERGING"
revert = "REVERTING"
cherry_pick = "CHERRY-PICKING"
bisect = "BISECTING"
am = "APPLY-MAILBOX"
am_or_rebase = "AM/REBASE"
style = "dimmed bold yellow"
format = '\([$state( $progress_current/$progress_total)]($style)\) '
disabled = false

[git_metrics]
added_style = "bold green"
deleted_style = "bold red"
format = '[+$added]($added_style) [-$deleted]($deleted_style) '
disabled = true

[git_status]
conflicted = "=${count} "
ahead = "⇡${count} "
behind = "⇣${count} "
diverged = "⇡${ahead_count} ⇣${behind_count} "
untracked = "?${count} "
stashed = "\\$${count} "
modified = "!${count} "
staged = "+${count} "
renamed = "»${count} "
deleted = "✘${count} "
style = "bold red"
format = "[$all_status$ahead_behind]($style)"
disabled = false

[golang]
symbol = " "
style = "bold cyan"
format = "via [$symbol$version]($style) "
disabled = false

[helm]
symbol = "⎈ "
style = "bold white"
format = "via [$symbol$version]($style) "
disabled = true

[hostname]
ssh_only = true
trim_at = ""
style = "bold dimmed green"
format = "[$hostname]($style) in "
disabled = false

[java]
symbol = "☕"
style = "red dimmed"
format = "via [${symbol}${version}]($style) "
disabled = false

[jobs]
threshold = 1
symbol = "✦"
style = "bold yellow"
format = "[$symbol$number]($style) "
disabled = false

[julia]
symbol = " "
style = "bold purple"
format = "via [$symbol$version]($style) "
disabled = true

[kotlin]
kotlin_binary = "kotlin"
symbol = "K "
style = "bold blue"
format = "via [$symbol($version )]($style)"
disabled = true

[kubernetes]
symbol = "⛵ "
style = "cyan bold"
format = "[$symbol$context( \\($namespace\\))]($style) in "
disabled = false
[kubernetes.context_aliases]
"dev.local.cluster.k8s" = "dev"

[line_break]
disabled = false

[lua]
lua_binary = "lua"
symbol = " "
style = "bold blue"
format = "via [$symbol($version )]($style)"
disabled = false

[memory_usage]
threshold = 75
symbol = "🐏 "
style = "bold dimmed white"
format = "via $symbol [${ram}( | ${swap})]($style) "
disabled = true

[hg_branch]
truncation_symbol = "…"
symbol = " "
style = "bold purple"
format = "on [$symbol$branch]($style) "
disabled = false

[nim]
symbol = "👑 "
style = "bold yellow"
format = "via [$symbol$version]($style) "
disabled = true

[nix_shell]
symbol = " "
impure_msg = "impure"
pure_msg = "pure"
style = "bold blue"
format = 'via [$symbol$state( \($name\))]($style) '
disabled = false

[nodejs]
symbol = " "
style = "bold green"
not_capable_style = "bold red"
format = "via [$symbol$version]($style) "
disabled = false

[ocaml]
symbol = "🐫 "
style = "bold yellow"
format = 'via [$symbol($version)(\($switch_indicator$switch_name\) )]($style)'
disabled = true

[openstack]
symbol = "☁️ "
style = "bold yellow"
format = "on [$symbol$cloud(\\($project\\))]($style) "
disabled = true

[package]
display_private = true
symbol = "📦 "
style = "bold 208"
format = "via [$symbol$version]($style) "
disabled = false

[perl]
symbol = "🐪 "
style = "bold 149"
format = "via [$symbol$version]($style) "
disabled = false

[php]
symbol = "🐘 "
style = "147 bold"
format = "via [$symbol$version]($style) "
disabled = false

[purescript]
symbol = "<=> "
style = "bold white"
format = "via [$symbol$version]($style) "
disabled = true

[python]
pyenv_version_name = false
pyenv_prefix = "pyenv"
symbol = " "
style = "yellow bold"
format = "via [${symbol}${pyenv_prefix}${version}( \\($virtualenv\\))]($style) "
disabled = false

[rlang]
symbol = "📐"
style = "blue bold"
format = "via [$symbol($version )]($style)"
disabled = true

[red]
symbol = "🔴 "
style = "red bold"
format = "via [$symbol($version )]($style)"
disabled = true

[ruby]
symbol = "💎 "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = false

[rust]
symbol = "🦀 "
style = "bold red"
format = "via [$symbol$version]($style) "
disabled = false

[scala]
symbol = " "
style = "red dimmed"
format = "via [${symbol}(${version} )]($style)"
disabled = true

[shell]
disabled = true

[shlvl]
threshold = 2
symbol = " "
style = "bold yellow"
format = "[$symbol$shlvl]($style) "
disabled = true

[singularity]
symbol = " "
style = "bold dimmed blue"
format = "[$symbol\\[$env\\]]($style) "
disabled = true

[status]
symbol = "💣 "
not_executable_symbol = "🚫"
not_found_symbol = "🔍"
sigint_symbol = "🧱"
signal_symbol = "⚡"
recognize_signal_code = true
map_symbol = true
style = "bold red"
format = "[$symbol$status]($style) "
disabled = true

[swift]
symbol = "ﯣ "
style = "bold 202"
format = "via [$symbol$version]($style) "
disabled = true

[terraform]
symbol = "ﯟ "
style = "bold 105"
format = "via [$symbol$version$workspace]($style) "
disabled = false

[time]
use_12hr = false
time_format = "%T"
utc_time_offset = "local"
time_range = "00:00:00-23:59:59"
style = "bold yellow"
format = "at 🕙 [$time]($style) "
disabled = true

[username]
show_always = false
style_user = "bold yellow"
style_root = "bold red"
format = "[$user]($style) in "
disabled = false

[vagrant]
symbol = "⍱ "
style = "cyan bold"
format = "via [$symbol($version)]($style) "
disabled = true

[zig]
symbol = "↯ "
style = "bold yellow"
format = "via [$symbol$version]($style) "
disabled = false
